package org.dromara.system.service;

import org.dromara.system.domain.StudentMindOld;
import org.dromara.system.domain.vo.StudentMindOldVo;
import org.dromara.system.domain.bo.StudentMindOldBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生心理健康历史信息Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IStudentMindOldService {

    /**
     * 查询学生心理健康历史信息
     */
    StudentMindOldVo queryById(Long mindId);

    /**
     * 查询学生心理健康历史信息列表
     */
    TableDataInfo<StudentMindOldVo> queryPageList(StudentMindOldBo bo, PageQuery pageQuery);

    /**
     * 查询学生心理健康历史信息列表
     */
    List<StudentMindOldVo> queryList(StudentMindOldBo bo);

    /**
     * 新增学生心理健康历史信息
     */
    Boolean insertByBo(StudentMindOldBo bo);

    /**
     * 修改学生心理健康历史信息
     */
    Boolean updateByBo(StudentMindOldBo bo);

    /**
     * 校验并批量删除学生心理健康历史信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
